Loading...
Searching...
No Matches
write_png.c File Reference

GRASS png display driver - write PPM image (lower level functions). More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <png.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "pngdriver.h"`
Include dependency graph for write_png.c:

Go to the source code of this file.

## Functions

void | write_png (void)

## Detailed Description

GRASS png display driver - write PPM image (lower level functions).

(C) 2007-2014 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file write_png.c.

## Function Documentation

## write_png()

void write_png | ( | void |  | ) |

Definition at line 55 of file write_png.c.

References b, g, G_fatal_error(), G_free(), NULL, output(), png, png_get_pixel(), r, and x.

Referenced by write_image().